MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026395Open CASCADE[OCCT] OCCT:Codingpublic2015-07-03 09:252016-04-20 15:48
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026395: Merge clasees NCollection_CellFilter_NDim and NCollection_CellFilter
DescriptionThis is a bad practice to have two classes with similar functionality. It is necessary to merge these classes into one using NCollection_CellFilter_NDim as base, because this class provide possibility to work with arbitrary dimension, which unknown at compilation time.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot neded
Attached Files

- Relationships
parent of 0026593closedbugmaster Coding rules - revert compatibility of NCollection_CellFilter constructor with old code 
child of 0026184closedbugmaster GeomAPI_ExtremaCurveCurve hangs on parallel b-spline curves 

-  Notes
(0042770)
git (administrator)
2015-07-07 07:10

Branch CR26395 has been created by aml.

SHA-1: 2be2d9f51494b7583e464fc67529eae50552150f


Detailed log of new commits:

Author: aml
Date: Mon Jul 6 09:29:04 2015 +0300

    0026395: Merge clasees NCollection_CellFilter_NDim and NCollection_CellFilter
    
    Deleted exceed class CellFilterNDim.
    Now dimension count used as input parameter in NCollection_CellFilter.
(0042771)
aml (developer)
2015-07-07 07:14

Dear msv,
Please review branch CR26395 in occt and products repository.
(0042825)
git (administrator)
2015-07-08 14:06

Branch CR26395 has been updated by aml.

SHA-1: 8e78cc9c59f3aad2ac8f083c6b313867670e162c


Detailed log of new commits:

Author: aml
Date: Wed Jul 8 14:04:26 2015 +0300

    minor corrections.

(0042827)
msv (developer)
2015-07-08 14:59

src\NCollection\NCollection_CellFilter.hxx
- Use local array in the struct Cell
- line 262: out of range error if theCellSize.Lower() != 0

src\BRepMesh\BRepMesh_CircleTool.hxx
Change:
    NCollection_Array1<Standard_Real> aCellSize(1, 2);
    aCellSize(1) = theSizeX;
    aCellSize(2) = theSizeY;
To:
    Standard_Real aCellSizeC[2] = { theSizeX, theSizeY };
    NCollection_Array1<Standard_Real> aCellSize(aCellSize[0], 1, 2);

src\BRepMesh\BRepMesh_VertexTool.hxx
- the same as above for BRepMesh_CircleTool.hxx
(0042829)
msv (developer)
2015-07-08 15:11

src\NCollection\NCollection_LocalArray.hxx
- line 31 is extra.
(0042830)
git (administrator)
2015-07-08 15:28

Branch CR26395 has been updated forcibly by aml.

SHA-1: 0d529a542b351958b2ca32fa5c8e042874486bab
(0042831)
aml (developer)
2015-07-08 15:29

Dear msv,

Remarks fixed. Please review updated CR26395 branches from occt and products repositories.
(0042832)
msv (developer)
2015-07-08 15:49

src\NCollection\NCollection_LocalArray.hxx
- line 34:
  : myPtr (myBuffer) {mySize = 0;}
change to:
  : myPtr (myBuffer), mySize(0) {}
(0042847)
git (administrator)
2015-07-08 20:19

Branch CR26395 has been updated forcibly by aml.

SHA-1: 2565dbd1c512663e101bc8995419461c21635613
(0042848)
aml (developer)
2015-07-08 20:23

Done. Please check.
(0042850)
msv (developer)
2015-07-09 09:48

Reviewed.
(0042885)
git (administrator)
2015-07-09 17:56

Branch CR26395 has been updated forcibly by apv.

SHA-1: 73e012791e5df02fbfab12fa21425e262a769fb9
(0042886)
apv (tester)
2015-07-09 17:56

Branch CR26395 has been rebased on the IR-2015-07-09
(0042947)
apv (tester)
2015-07-13 10:41

Dear BugMaster,

Branch CR26395 from occt git-repository (and CR26395 from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 73e012791e5df02fbfab12fa21425e262a769fb9
SHA-1: 657aa92a3f7fcb955d39caccca6e9dfebcf183c6

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 97142283 / 96709264 [+0.45%]
Total CPU difference: 17667.399999999987 / 17430.79999999978 [+1.36%]

Testing on Windows:
Total MEMORY difference: 57094947 / 56513567 [+1.03%]
Total CPU difference: 16427.451303499372 / 15970.352773398929 [+2.86%]
(0043664)
git (administrator)
2015-07-29 10:29

Branch CR26395 has been updated forcibly by aml.

SHA-1: ab398f4fb2bc5be88117f1e93ea5aed0fb8cea74
(0044140)
git (administrator)
2015-08-14 10:52

Branch CR26395 has been deleted by inv.

SHA-1: ab398f4fb2bc5be88117f1e93ea5aed0fb8cea74

- Related Changesets
occt: master 50bc8f96
Timestamp: 2015-07-28 09:18:04
Author: aml
Committer: bugmaster
Details ] Diff ]
0026395: Merge clasees NCollection_CellFilter_NDim and NCollection_CellFilter

Deleted exceed class CellFilterNDim.
Now dimension count used as input parameter in NCollection_CellFilter.

minor corrections.
mod - src/BRepBuilderAPI/BRepBuilderAPI_FastSewing.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.hxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCC.gxx Diff ] File ]
mod - src/math/math_GlobOptMin.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.hxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
mod - src/NCollection/NCollection_CellFilter.hxx Diff ] File ]
rm - src/NCollection/NCollection_CellFilterNDim.hxx Diff ] File ]
mod - src/NCollection/NCollection_LocalArray.hxx Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-03 09:25 aml New Issue
2015-07-03 09:25 aml Assigned To => aml
2015-07-03 09:27 aml Description Updated View Revisions
2015-07-07 07:10 git Note Added: 0042770
2015-07-07 07:14 aml Note Added: 0042771
2015-07-07 07:14 aml Assigned To aml => msv
2015-07-07 07:14 aml Status new => resolved
2015-07-07 09:27 kgv Relationship added child of 0026184
2015-07-07 09:28 kgv Severity minor => integration request
2015-07-07 09:28 kgv Product Version 6.9.0 =>
2015-07-08 14:06 git Note Added: 0042825
2015-07-08 14:59 msv Note Added: 0042827
2015-07-08 14:59 msv Assigned To msv => aml
2015-07-08 14:59 msv Status resolved => assigned
2015-07-08 15:11 msv Note Added: 0042829
2015-07-08 15:28 git Note Added: 0042830
2015-07-08 15:29 aml Note Added: 0042831
2015-07-08 15:29 aml Assigned To aml => msv
2015-07-08 15:29 aml Status assigned => resolved
2015-07-08 15:49 msv Note Added: 0042832
2015-07-08 15:49 msv Assigned To msv => aml
2015-07-08 15:49 msv Status resolved => assigned
2015-07-08 20:19 git Note Added: 0042847
2015-07-08 20:23 aml Note Added: 0042848
2015-07-08 20:23 aml Assigned To aml => msv
2015-07-08 20:23 aml Status assigned => resolved
2015-07-09 09:48 msv Note Added: 0042850
2015-07-09 09:48 msv Assigned To msv => bugmaster
2015-07-09 09:48 msv Status resolved => reviewed
2015-07-09 15:02 bugmaster Test case number => Not neded
2015-07-09 17:53 apv Assigned To bugmaster => apv
2015-07-09 17:56 git Note Added: 0042885
2015-07-09 17:56 apv Note Added: 0042886
2015-07-13 10:41 apv Note Added: 0042947
2015-07-13 10:41 apv Assigned To apv => bugmaster
2015-07-13 10:41 apv Status reviewed => tested
2015-07-29 10:29 git Note Added: 0043664
2015-07-31 12:31 bugmaster Changeset attached => occt master 50bc8f96
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:52 git Note Added: 0044140
2015-08-24 15:06 kgv Relationship added parent of 0026593
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker